/*
 * Generated by MyEclipse Struts
 * Template path: templates/java/JavaClass.vtl
 */
package gov.va.med.vistalink.management.action;

import java.sql.Timestamp;
import java.util.Calendar;

import gov.va.med.vistalink.adapter.cci.VistaLinkResourceException;
import gov.va.med.vistalink.adapter.config.Connector;
import gov.va.med.vistalink.adapter.spi.ConnectorConfigurator;
import gov.va.med.vistalink.management.ConsoleFormBeanHandle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

//ArM - 06/20/2018 - #TRM
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;
import org.apache.struts.Globals;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.DynaActionForm;
import org.apache.xmlbeans.SchemaProperty;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlCursor;

/**
 * Struts action to retrieve a specific configuration entry.
 * 
 */
public class ConfiguratorRetrieveAction extends VistaLinkActionBase {

	private static final Logger logger = LogManager.getLogger(ConfiguratorRetrieveAction.class);

	/*
	 * no reason to put existing config file a/v codes in form -- not needed for persistence later or comparison
	 */
	static final String AV_MASK = "____________";

	/**
	 * Method execute
	 * @param mapping
	 * @param actionForm
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm actionForm, HttpServletRequest request,
			HttpServletResponse response) {

		// security check
		try {
			checkIsUserInRole(request, DEPLOYER_OR_ADMIN_OR_OPERATOR);
		} catch (SecurityException e) {
			logger.warn("Access attempt without sufficient privileges" + e.getMessage());
			ActionErrors errors = getGlobalActionErrors(request);
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("configurator.nopriv", new Object[] { e.getMessage() }));
			request.setAttribute(Globals.ERROR_KEY, errors);
			return mapping.findForward("nopriv");
		}
		
		String forward = "";
		logger.debug("executing...");
		addPageRenderedTime(request);
		addSessionTimeoutWarning(request);
		request.setAttribute("definitionLabel", definitionLabel);
		DynaActionForm form = (DynaActionForm) actionForm;
		String submitValue = form.getString("submitValue");

		if ("Add New Connector".equals(submitValue)) {
			// we're adding a new connector, this is the first time
			request.setAttribute("isNew", Boolean.TRUE);
			request.setAttribute("focusProperty", "jndiName");

			form.set("new", Boolean.TRUE);
			// following code retrieves default properties based on XMLBeans schema (see
			// http://mail-archives.apache.org/mod_mbox/xmlbeans-user/200502.mbox/%3c1107478666.8095.214294439@webmail.messagingengine.com%3e)
			Connector conn = Connector.Factory.newInstance();
			SchemaType connSchemaType = conn.schemaType();
			SchemaProperty[] connSchemaProperty = connSchemaType.getAttributeProperties();
			XmlCursor connCursor = conn.newCursor();
			for (int i = 0; i < connSchemaProperty.length; ++i) {
				if (connSchemaProperty[i].hasDefault() == SchemaProperty.CONSISTENTLY) {
					connCursor
							.setAttributeText(connSchemaProperty[i].getName(), connSchemaProperty[i].getDefaultText());
				}
			}
			// update timeout after getting schema default value (timeout currently the only one w/default)
			form.set("timeout", Integer.toString(conn.getTimeout()));
			forward = "success";
			request.setAttribute("connectorForm", form);

		} else if ("Encrypt Unencrypted Entries".equals(submitValue)) {

			forward = "encrypt";
			
		} else if ("Change Encryption Type".equals(submitValue)) {

			forward="changeEncryptType";

		} else if (isCancelled(request)) {
			// we're coming from cancellation of a delete, with all connector values (incl jndiName) in connectorForm
			request.setAttribute("focusProperty", "primaryStation");
			forward = "success";
			request.setAttribute("connectorForm", form);
		} else {
			// we're coming from main list linkset, with jndiName in URL parameter
			retrieveFormValuesForJndiNameFromConfig(request.getParameter("jndiName"), form, request);
			request.setAttribute("focusProperty", "primaryStation");
			forward = "success";
			request.setAttribute("connectorForm", form);
		}

		if (request.getAttribute(Globals.ERROR_KEY) != null) {
			return mapping.findForward("error");
		}
		logger.debug("set DynaActionForm as request attribute.");
		return mapping.findForward(forward);
	}

	private void retrieveFormValuesForJndiNameFromConfig(String jndiName, DynaActionForm form,
			HttpServletRequest request) {

		ConnectorConfigurator cc = new ConnectorConfigurator();
		try {
			Connector conn = cc.getConnectorByName(jndiName);
			setFormValuesFromConnector(form, conn);
		} catch (VistaLinkResourceException e) {
			logger.error("Could not retrieve connector array", e);
			ActionErrors errors = getGlobalActionErrors(request);
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("configurator.generalError", new Object[] {
					"retrieving configuration file entry '" + jndiName + "'", e.getMessage() }));
			request.setAttribute(Globals.ERROR_KEY, errors);
		}
	}

	static void setFormValuesFromConnector(DynaActionForm form, Connector conn) {
		if ((conn.getAccessCode() != null) && (conn.getAccessCode().length() > 0)) {
			form.set("accessCode", AV_MASK);
			form.set("accessCodeCheck", AV_MASK);
		}
		form.set("alwaysUseDefaultAsMin", Boolean.valueOf(conn.getAlwaysUseDefaultAsMin()));
		form.set("enabled", Boolean.valueOf(conn.getEnabled()));
		form.set("ip", conn.getIp());
		form.set("jndiName", conn.getJndiName());
		form.set("port", Integer.toString(conn.getPort()));
		form.set("primaryStation", conn.getPrimaryStation());
		form.set("timeout", Integer.toString(conn.getTimeout()));
		Calendar cal = conn.getTimestamp();
		if (cal != null) {
			form.set("timestamp", (new Timestamp(cal.getTimeInMillis())).toString());
		} else {
			form.set("timestamp", "not found");
		}
		if ((conn.getVerifyCode() != null) && (conn.getVerifyCode().length() > 0)) {
			form.set("verifyCode", AV_MASK);
			form.set("verifyCodeCheck", AV_MASK);
		}
		form.set("handle", new ConsoleFormBeanHandle());
	}

}